/// <reference types="node" />
import { Component } from "react";
import { WebViewProps } from "react-native-webview";
import { EventName } from "./constants";
import "./index.html";
export declare type WebviewEvent = Exclude<typeof EventName[keyof typeof EventName], typeof EventName["IsMounted"]>;
declare type WithoutProps = "ref" | "originWhitelist" | "source" | "allowingReadAccessToURL" | "onMessage";
declare type EdisonWebViewProps = {
    html: string;
    isDarkMode?: boolean;
    onMessage: (type: WebviewEvent, data: any) => void;
} & Omit<WebViewProps, WithoutProps>;
declare type EdisonWebViewState = {
    webviewUri: string;
};
export default class RNWebView extends Component<EdisonWebViewProps, EdisonWebViewState> {
    timeoutMap: Map<string, NodeJS.Timeout>;
    webviewMounted: boolean;
    constructor(props: any);
    private webViewRef;
    componentDidMount(): void;
    componentDidUpdate(prevProps: EdisonWebViewProps): void;
    private executeScript;
    private onMessage;
    private initHtml;
    render(): JSX.Element;
}
export {};
